package com.common.lib_base.aop.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Date: 2022/5/17 0017 10:16
 * Description:
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface NoDoubleClick {
    // 点击间隔默认值。示例：value = 2000
    int value() default 1500;
    // 不用防重的控件int。示例：except = {R.id.item_person}
    int[] except() default {};
    // 不用防重的控件id，String型。示例：exceptIdName = {"iv_setting"}
    String[] exceptIdName() default {};
}
